
QGIS Application - Bug report #20445

fails to generate virtual geometry layer based on virtual wkt field

2018-11-11 10:37 AM - Kepes Ádám

Status: Open

Priority: Normal

Assignee:

Category: Virtual Layers

Affected QGIS version:3.4.1 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28265

Description

I would very like to generate a wkt field based on complicated expression on a delimited text layer, and auto make a geometry layer based

on it! After i set the layer it is good, but reloading qgis makes a problem with it.

I recorded it to show detailed.

please see video on:

https://www.dropbox.com/s/xhgt54q5bx922b3/qgis.mp4?dl=0

How could i do it?

thank you for your help!

History

#1 - 2018-11-11 10:38 AM - Kepes Ádám

Kepes Ádám wrote:

I would very like to generate a wkt field based on complicated expression on a delimited text layer, and auto make a geometry layer based on it!

After i set the layer it is good, but reloading qgis makes a problem with it.

I recorded it to show detailed.

please see video on:

https://www.dropbox.com/s/xhgt54q5bx922b3/qgis.mp4?dl=0

How could i do it?

thank you for your help!

And i have tried it on the latest 3.4.1 and another versions, but still not good.

#2 - 2018-11-12 01:33 PM - Giovanni Manghi

- Affected QGIS version changed from 3.3(master) to 3.4.1
